Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.dtd2xml
Class DTDexpress.SubDTDexpress

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.ocm.OCMtranscribe.SubTranscribe
                  |
                  +--com.jxml.quick.util.dtd2xml.DTDexpress.SubDTDexpress

All Implemented Interfaces:
  OCMbase.SubBase, OCMsink.SubSink, OCMsource.SubSource

Enclosing class:
  DTDexpress

public class DTDexpress.SubDTDexpress
extends OCMtranscribe.SubTranscribe

A processing object spawned from an OCMsourceByName object.

Fields inherited from class com.jxml.quick.ocm.OCMtranscribe.SubTranscribe
`outputDoc, properties`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, subSource, subValidator`

Constructor Summary
`DTDexpress.SubDTDexpress(HashMap prior)`

Method Summary
`String` | `express()` Generate an XML document (or other text).
`void` | `express(PrintWriter pw)` Generate an XML document (or other text).

Methods inherited from class com.jxml.quick.ocm.OCMtranscribe.SubTranscribe
`getDoc, getSchemaDoc`

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`expressFile, getInputDoc, getInputSchemaDoc, getProperties, getSubSource, setDocName, setInputDocName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMsource.SubSource
`setInputDocName, setProperties`

Constructor Detail

### DTDexpress.SubDTDexpress

    public DTDexpress.SubDTDexpress(HashMap prior)

Method Detail

### express

    public String express()
                   throws SAXException,
                          IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Overrides:
    `express` in class `OCMtranscribe.SubTranscribe`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Returns:
    The XML representation

### express

    public void express(PrintWriter pw)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Overrides:
    `express` in class `OCMtranscribe.SubTranscribe`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Parameters:
    `PW` - PrintWriter where the XML document is to be written.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD